AUDIT_VALUE_NEEDS_ENCODING(3)

NAME
audit_value_needs_encoding - check a string to see if it needs encoding

SYNOPSIS
#include <libaudit.h>

int audit_value_needs_encoding(const char *str, unsigned int size);

DESCRIPTION
audit_value_needs_encoding() checks a string to see if it needs encoding. Specifically, this function checks if the string contains a space, a double-quote, or a control character. str is the string to check if encoding is needed. size is the length of str.

RETURN VALUE
The return value if encoding is needed is 1. If not needed is 0.

SEE ALSO
audit_encode_nv_string(3).

AUTHOR
Steve Grubb